"use strict";

var _interopRequireWildcard = require("@babel/runtime-corejs2/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = MyConnectedComponent;

var _assign = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/assign"));

var React = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _store = require("./store");

function MyConnectedComponent({
  reducer,
  sagas,
  view,
  viewProps
}) {
  const View = view;
  return React.createElement(_reactRedux.ReactReduxContext.Consumer, null, ({
    store
  }) => {
    (0, _store.injectAsyncStore)(store, reducer, sagas);
    return React.createElement(View, (0, _assign.default)({}, viewProps));
  });
}

;